-------------------------------------------------------------------------------
-- Name: class Enterbet
-- Author: Jonathan Primeau
--
-- Description:
--     This class takes care of the enterbet asset made in Flash
--
------------------------------------------------------------------------------- 

-------------------------------------------------------------------------------
-- P R O P E R T I E S
-------------------------------------------------------------------------------

property ancestor              -- Parent


-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters:
--     me (object): this pointer.
--
-- Return:
--     me (object): A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = void
  
  -- Initialize
  me._Init()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end 

on Show (me)
  if (SpriteExists("enterbet")) then
    sprite("enterbet").rect = rect(119, 88, 1024, 768)
    
    lParams = QI(#nav).GetParams()
    lForceChannel = false
    if (lParams <> [:]) then
      
      lChannel = void
      lRace = void
      lEvent = void
      
      if (lParams.getaProp(#channel) <> void) then
        lChannel = integer(lParams.channel)
      end if
      
      if (lParams.getaProp(#race) <> void) then
        lRace = integer(lParams.race)
      end if
      
      if (lParams.getaProp(#event) <> void) then
        lEvent = integer(lParams.event)
      end if
      
      QI(#terminalCom).Navigate(lRace, lEvent, lChannel)
      
    end if
  end if
end

on Hide (me)
  if (SpriteExists("enterbet")) then
    sprite("enterbet").rect = rect(-904, -680, 2, 2)
  end if
end

-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)
  
end
