-------------------------------------------------------------------------------
-- Name class NoCRM
-- Author Jonathan Primeau
--
-- Description
--     Fakes CRM
--
-------------------------------------------------------------------------------


-------------------------------------------------------------------------------
-- P R O P E R T I E S
------------------------------------------------------------------------------- 

property ancestor              -- Parent
property pCrmType
property pCrmInfo              -- CRM banner information
property pCallback


-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters
--     me (object) this pointer.
--
-- Return
--     me (object) A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = script("class XMLParser").new()
  
  -- Initialize
  me._Init()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters
--     me (object) this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end

on Load (me, theType)
  
end

on CheckCrmOffer (me, theType, theHandler, theObject)
  if (theHandler <> void and theObject <> void) then
    call(theHandler, theObject, false)
  end if
end

on GetCrmInfo (me)
  return([:])
end

on GetCrmType (me)
  return("none")
end

on HideOffer (me)

end

on ShowOffer (me)

end

on ApplyCrmBanner (me)

end

on ApplyCrmInterstitial (me)

end

on LoadCurrentInterstitial (me)

end


-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters
--     me (object) this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)

end

on _ClearCrmInfo (me)

end

on _CheckCrmOfferCallback (me, theControl, theData)

end

on _OnCrmBanner (me, theControl, theData)

end

on _OnCrmInterstitial (me, theControl, theData)

end

on _OnCrmQuickBets (me, theControl, theData)

end

on _VerifyCrmContent (me)
  return(0)
end

on _FillFlash (me, theFlashRef)

end

on _CrmXMLCallback (me, theItemName, theItemValue)

end

on _CheckFile (me, theFile)
  return(true)
end

on _GetMediaPath (me)
  return("")
end

on _GetTemplatesPath (me)
  return("")
end
