-------------------------------------------------------------------------------
-- Name: class NoEnterbetLogin
-- Author: Jonathan Primeau
--
-- Description:
--     Fakes Enterbet Login
--
------------------------------------------------------------------------------- 

-------------------------------------------------------------------------------
-- P R O P E R T I E S
-------------------------------------------------------------------------------

property ancestor              -- Parent

-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters:
--     me (object): this pointer.
--
-- Return:
--     me (object): A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = script("class Window").new()
  
  -- Initialize
  me._Init()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end 

on Show (me, theFieldName, theValue)
  if (me.IsVisible() = false) then
    GenLog(#debug, "NoEnterbetLogin::Show: Showing the NoEnterbetLogin...")
    me.OpenWindow("NoEnterbetLogin", #dialog)
    me.CenterWindow()
    me.ShowWindow()
  end if
end

on Hide (me)
  GenLog(#debug, "NoEnterbetLogin::Hide: Hiding the NoEnterbetLogin...")
  me.CloseWindow()
end


-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)
  
end
