-------------------------------------------------------------------------------
-- Name: class NoTerminal
-- Author: Jonathan Primeau
--
-- Description:
--     Fake Terminal
--
-------------------------------------------------------------------------------


-------------------------------------------------------------------------------
-- P R O P E R T I E S
------------------------------------------------------------------------------- 

property ancestor              -- Parent
property pTerminal
property pIP                   -- Server IP
property pPort                 -- Server port
property pMessageCallback      -- Callback when getting a message
property pConnectionCallback   -- Callback when connection is made
property pIsConnected


-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters:
--     me (object): this pointer.
--
-- Return:
--     me (object): A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = void
  
  -- Initialize
  me._Init()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end

on SetIP (me, theIP)

end

on SetPort (me, thePort)

end

on SetConnectionCallback (me, theHandler, theObject)

end

on SetMessageCallback (me, theHandler, theObject)

end

on Connect (me)

end

on Disconnect (me)

end

on IsConnected (me)
  return(true)
end

on SendCommand (me, theObj)

end

on OnConnect (me, theStatus)

end

on OnData (me, theData)

end

on OnClose (me)

end


-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)

end
