-------------------------------------------------------------------------------
-- Name: class TerminalCommunicator
-- Author: Jonathan Primeau
--
-- Description:
--     Fake Terminal Communicator
--
-------------------------------------------------------------------------------


-------------------------------------------------------------------------------
-- P R O P E R T I E S
-------------------------------------------------------------------------------

property ancestor              -- Parent
property pFlashConnector
property pCallback


-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters:
--     me (object): this pointer.
--
-- Return:
--     me (object): A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = script("class NoTerminal").new()
  
  -- Initialize
  me._Init()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end

on Connect (me)

end

on OnConnect (me, theStatus)

end

on OnData (me, theData)

end

on OnClose (me)

end

on Disconnect (me)

end

on IsConnected (me)
  return(true)
end

on Events (me, theHandler, theObject)

end

on Wager (me, theData, theHandler, theObject)

end

on Navigate (me, theRace, theEvent, theChannel, theHandler, theObject)

end

on EndPatron (me, theHandler, theObject)

end


-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)

end

on _MessageHandler (me, theContent)

end


