-------------------------------------------------------------------------------
-- Name: class SCGLogin
-- Author: Thomas Jiji
--
-- Description:
--     Deals with Scientic Games Login
--
------------------------------------------------------------------------------- 

-------------------------------------------------------------------------------
-- P R O P E R T I E S
-------------------------------------------------------------------------------

property ancestor              -- Parent

-------------------------------------------------------------------------------
-- P U B L I C  M E T H O D S
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- me new (me)
--
-- This the constructor. It creates the ancestor object (if any) and calls
-- _Init to intialize stuff.
--
-- Parameters:
--     me (object): this pointer.
--
-- Return:
--     me (object): A new instance of this class.
--
-------------------------------------------------------------------------------
on new (me)
  me.ancestor = script("class Window").new()
  
  return(me)
end

-------------------------------------------------------------------------------
-- void Destroy (me)
--
-- This the destructor. It clears everything and also destroys the ancestor
-- (if any.)
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on Destroy (me)
  if (objectP(me.ancestor)) then
    me.ancestor.Destroy()
  end if
  me.ancestor = void
end 

on Show (me, theFieldName, theValue, number)
  if (me.IsVisible() = false) then
    GenLog(#debug, "SCGLogin::Show: Showing the SCGLogin...")
    me.OpenWindow("SCGLogin", #dialog)
    me.CenterWindow()
    if (number <> -1 ) then
      me.GetMovieRef().setId(number) 
    else
      QI(#status).setStatus(#login, "TouchScreen")
      --QI(#login).GoToLogin(true)
      me.GetMovieRef().EnterID()
    end if
    me.ShowWindow()    
  end if
end

on LoginSuccess(me)
  me.Hide()
  QI(#login).BeginSessionNoEnterbet()
  QI(#SCGCommunicator).KeepAlive()
end

on LoginFailed(me, error)
  if (me.IsVisible() = true) then
    me.GetMovieRef().LoginFailed(error)
  end if
end

on GiveUpLogin(me)
  me.Hide()
  QI(#login).GoToAttractLoop()
  QI(#status).setStatus(#login, "N/A")
  
end

on Hide (me)
  GenLog(#debug, "SCGLogin::Hide: Hiding the SCGLogin...")
  me.HideWindow()
end


-------------------------------------------------------------------------------
-- P R I V A T E  M E T H O D S
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- void _Init (me)
--
-- Initializes private properties. This is called by the constructor (new).
--
-- Parameters:
--     me (object): this pointer.
--
-------------------------------------------------------------------------------
on _Init (me)
  
end
