on PrepareMovie ()
  RegisterXtras()
  
  -- Load the script manager
  -- Initializes script that will be used throughout the application
  PrepareScriptManager()
  
  -- General logs must be initialized first!
  StartGenLog()
  
  -- Load configuration
  LoadConfiguration()
  
  -- Security Manager
  QI(#security).Start()
  
  -- JP NFL GSIS
  -- NFL GSIS
  QI(#nflgsis).Load()
  
  -- Activity logs
  StartActLog()
  
  SetGeneralInfo("")
end

on startMovie ()
end

on stopMovie ()
  
  QI(#terminalCom).EndPatron()
  
  QI(#wintv).Hide()
  
  --QI(#wintv).Hide()
  
  -- Stop banner cycling
  QI(#banner).StopCycling()
  
  QI(#opsConnectionTimeout).Stop()
  QI(#terminalConnectionTimeout).Stop()
  
  ForgetAllTimeout()
  
  -- Activity logs
  StopActLog()
  
  -- Security Manager
  QI(#security).Start()
  
  -- General logs must be stopped last!
  StopGenLog()
  
  DestroyScriptManager()
  
  clearGlobals()
end

on PrepareSection (theSection)
  GenLog(#debugnav, "PrepareSection:"&&string(theSection))
  
  -- Store the current section
  QI(#status).SetStatus(#area, theSection)
  
  case (theSection) of
    "initialize":
      QI(#banner).Clear()
      
      -- Hide all windows
      QI(#vkb).Hide()
      --QI(#NoEnterbetLogin).Hide()
      -- WebLoad commented out for now until we find a solution BUG: 186
      --QI(#webLoad).Hide()
      --QI(#webDenied).Hide()
      
      SetGeneralInfo("Connecting to the server...")
      
    "load":
      
    "attract_loop":
      QI(#wintv).Hide()
      -- Prepare the attract loop and banners
      QI(#attractSyncTimeout).Start()
      QI(#attractLoop).Clear()
      
      -- Make sure that the application timeout is turned off
      QI(#appTimeout).Stop()
      
      -- Also make sure that DoBeginSession is set to false
      QI(#login).SetDoBeginSession(false)
      
      QI(#nflgsis).Refresh()
      
    "offer":
      QI(#crm).HideOffer()
      
    "home":
      QI(#appTimeout).ResetTimeout()
      
    "wagering":
      QI(#appTimeout).ResetTimeout()
      
    "video":
      QI(#appTimeout).ResetTimeout()
      QI(#video).DisplayVideo()
      QI(#wintv).Show()
      
    "video_medium":
      QI(#appTimeout).ResetTimeout()
      QI(#video).DisplayVideoMedium()
      QI(#wintv).Show()
      
    "video_live":
      QI(#appTimeout).ResetTimeout()
      QI(#video).DisplayVideoLive()
      QI(#wintv).Show()
      
    "video_full":
      QI(#appTimeout).ResetTimeout()
      
      -- There is no banner here
      QI(#banner).StopCycling()
      
      QI(#wintv).Show()
      
    "handicapping":
      QI(#appTimeout).ResetTimeout()
      -- Load the handicapping section
      QI(#handicapping).Load()
      
    "account":
      QI(#appTimeout).ResetTimeout()
      
    "internet":
      QI(#appTimeout).ResetTimeout()
      
      QI(#internet).DisplayInternet()
      
    "internet_MozillaXtra":
      QI(#appTimeout).ResetTimeout()
      
      lAction = QI(#nav).GetAction()
      
      if (voidP(lAction.getaProp(#toolbar)) = false) then
        lToolbar = lAction.toolbar
        QI(#web).SetToolbar(lToolbar)
      else
        -- Default: toolbar on
        QI(#web).SetToolbar(true)
      end if
      
    "internet_WebViewerXtra":
      QI(#appTimeout).ResetTimeout()
      
      lAction = QI(#nav).GetAction()
      
      if (voidP(lAction.getaProp(#toolbar)) = false) then
        lToolbar = lAction.toolbar
        QI(#web).SetToolbar(lToolbar)
      else
        -- Default: toolbar on
        QI(#web).SetToolbar(true)
      end if
      
    "internet_WebXtra":
      QI(#appTimeout).ResetTimeout()
      
      lAction = QI(#nav).GetAction()
      
      if (voidP(lAction.getaProp(#toolbar)) = false) then
        lToolbar = lAction.toolbar
        QI(#web).SetToolbar(lToolbar)
      else
        -- Default: toolbar on
        QI(#web).SetToolbar(true)
      end if
      
    "services":
      QI(#appTimeout).ResetTimeout()
      QI(#services).Load()
      
    "disabled":
      -- There is no banner here
      QI(#banner).StopCycling()
      
    "maintenance":
      QI(#status).SetMaintenanceMessage()
      
      -- We have to stop everything!
      
      -- There is no banner here
      QI(#banner).StopCycling()
      
  end case
  GenLog(#debugnav, "PrepareSection: Done!")
end

on LoadSection (theSection)
  GenLog(#debugnav, "LoadSection:"&&string(theSection))
  
  member("timeout,countdown").text = ""
  
  case (theSection) of
    "initialize":
      QI(#init).Reset()
      
      -- Prepare WinTV
      QI(#winTV).Prepare()
      
      -- WinTV
      QI(#wintv).Show()
      
    "load":
      QI(#init).LoadKiosk()
      
    "attract_loop":
      QI(#patron).SetPatronLogout()
      
      QI(#attractLoop).Clear()
      -- JP NO ENTERBET
      --sprite("attract_loop,catcher").pTarget = "ogn://navigate/login"
      
    "login":
      -- Make sure that the banners are cycling since the login section 
      -- can be accessed everywhere
      QI(#banner).Reset()
      QI(#banner).StopCycling()
      
      -- Also, make sure that the application timeout is turned off
      QI(#appTimeout).Stop()
      
      -- Force the stage to redraw (BUG 91)
      the stageColor = the stageColor
      
      sprite("login,tryout").pTarget = "ogn://navigate/tryout"
      sprite("login,setup_account").pTarget = "ogn://navigate/setup_account"
      
      -- Do we need to display the login screen?
      QI(#login).CheckForLoginScreen()
      
      -- Force an EndPatron to make sure that nobody is logged in
      QI(#terminalCom).EndPatron()
      
      QI(#loginTimeout).Start()
      
      -- Set the volume to user level
      QI(#wintv).ResetVolumeCustom()
      
    "tryout":
      sprite("tryout,continue_tryout").pTarget = "ogn://navigate/begintryout"
      sprite("tryout,setup_account").pTarget = "ogn://navigate/setup_account"
      
    "setup_account":
      lAccountURL = QI(#skin).GetAccountURL()
      QI(#web).OpenPage(lAccountURL)
      sprite("setup_account,back").pTarget = "ogn://navigate/attract_loop"
      
    "offer":
      QI(#crm).LoadCurrentInterstitial()
      
      sprite("offer,continue").pTarget = "ogn://navigate/home"
      
      QI(#offerTimeout).Start()
      
    "home":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "wagering":
      sprite("wagering,enterbet_logout").pTarget = "ogn://navigate/back"
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
      QI(#enterbet).Show()
      
    "video":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "video_medium":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "video_live":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "handicapping":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "account":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "internet":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "internet_MozillaXtra":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "internet_WebXtra":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "internet_WebViewerXtra":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
      -- DO NOT OPEN WEB PAGE HERE
      
    "services":
      -- Set the main navigation buttons target
      SetMainNavTargets()
      
      -- Make sure that the banners are cycling
      QI(#banner).StartCycling()
      
    "disabled":
      sprite("disabled,continue").pTarget = "ogn://navigate/back"
      
    "logout":
      QI(#logoutTimeout).Start()
      
      QI(#terminalCom).EndPatron()
      
    "maintenance":
      sprite("maintenance,admin").pTarget = "ogn://navigate/web_admin"
      
    "web_admin":
      lURL = QI(#config).GetAppServerURL()
      QI(#web).OpenPage(lURL)
      
  end case
  GenLog(#debugnav, "LoadSection: Done!")
end

on LeavingSection (theSection)
  GenLog(#debugnav, "LeavingSection:"&&string(theSection))
  case (theSection) of
    "load":
      
    "attract_loop":
      QI(#attractLoop).StopCycling()
      QI(#AttractSyncTimeout).Stop()
      
    "login":
      QI(#loginTimeout).Stop()
      -- Force Enterbet login to close
      QI(#SCGLogin).Hide()
      
    "offer":
      QI(#offerTimeout).Stop()
      
    "wagering":
      QI(#enterbet).Hide()
      QI(#wintv).Hide()
      
    "video":
      QI(#wintv).Hide()
      
    "video_medium":
      QI(#wintv).Hide()
      
    "video_live":
      QI(#wintv).Hide()
      
    "video_full":
      QI(#wintv).Hide()
      
    "logout":
      QI(#logoutTimeout).Stop()
      
  end case
  GenLog(#debugnav, "LeavingSection: Done!")
end

on SetMainNavTargets ()
  -- Modified by jason & Paul on August 26 to reorder the buttons for Denver
  sprite("nav_menu,home").pTarget = QI(#skin).GetMainMenuURL (#home)
  
  sprite("nav_menu,wagering").pTarget = QI(#skin).GetMainMenuURL (#wagering)
  sprite("nav_menu,video").pTarget = QI(#skin).GetMainMenuURL (#video)
  sprite("nav_menu,handicapping").pTarget = QI(#skin).GetMainMenuURL (#handicapping)
  sprite("nav_menu,account").pTarget = QI(#skin).GetMainMenuURL (#account)
  sprite("nav_menu,internet").pTarget = QI(#skin).GetMainMenuURL (#internet)
  sprite("nav_menu,services").pTarget = QI(#skin).GetMainMenuURL (#services)
  sprite("nav_menu,logout").pTarget = QI(#skin).GetMainMenuURL (#logout)
  
  -- originally it was.
  --  sprite("nav_menu,home").pTarget = "ogn://navigate/home"
  --  -- JP NO ENTERBET
  --  --sprite("nav_menu,wagering").pTarget = "ogn://navigate/wagering"
  --  sprite("nav_menu,wagering").pTarget = "http://www.operaglassnetworks.com/den/wager.html"
  --  sprite("nav_menu,video").pTarget = "ogn://navigate/video"
  --  sprite("nav_menu,handicapping").pTarget = "ogn://navigate/handicapping"
  --  -- JP NO ENTERBET
  --  --sprite("nav_menu,account").pTarget = "ogn://navigate/account"
  --  sprite("nav_menu,account").pTarget = QI(#nflgsis).GetURL()
  --  sprite("nav_menu,internet").pTarget = "ogn://navigate/internet"
  --  sprite("nav_menu,services").pTarget = "ogn://navigate/services"
  --  
  --  -- No target for nav_menu,logout since Logout() will take care of navigation
  --  sprite("nav_menu,logout").pTarget = "http://www.operaglassnetworks.com/"
  -- "ogn://navigate/dologout" 
end

on idle ()
  QI(#security).KeepFocus()
  QI(#CardReader).CheckReader()
  QI(#SCGCommunicator).Listen()
end
