-- Utilities global handlers

--
-- Verifies if the marker is valid
--
on IsValidMarker (theMarker)
  lMarkerList = _movie.markerList
  if (listP(lMarkerList)) then
    lMarkerCount = lMarkerList.count
    if (lMarkerCount > 0) then
      repeat with i = 1 to lMarkerCount
        lCurrent = lMarkerList.getAt(i)
        if (lCurrent = theMarker) then
          return(true)
        end if
      end repeat
    end if
  end if
  return(false)
end

on GetDateTimeStamp ()
  return(baSystemTime("%Y.%0m.%0d.%0H.%0M.%0S"))
end

on GetCurrentTime ()
  return(baSystemTime("%0H:%0M:%0S"))
end

on GetLogTimeStamp ()
  return(baSystemTime("%Y%0m%0d%0H%0M%0S"))
end

on GetSecondsSinceMidnight ()
  lTimeStamp = GetDateTimeStamp()
  
  lOldDelimiter = _player.itemDelimiter
  _player.itemDelimiter = "."
  lHour = integer(lTimeStamp.item[4])
  lMinute = integer(lTimeStamp.item[5])
  lSecond = integer(lTimeStamp.item[6])
  _player.itemDelimiter = lOldDelimiter
  
  lSeconds = lHour * 3600 + lMinute * 60 + lSecond
  return(lSeconds)
end

on ConvertPathToURL (thePath)
  lCharCount = thePath.char.count
  lURL = "file:///"
  repeat with i = 1 to lCharCount
    lCurrChar = thePath.char[i]
    if (lCurrChar = "\") then
      lCurrChar = "/"
      --    else if (lCurrChar = ":") then
      --      lCurrChar = ""
    end if
    lURL = lURL & lCurrChar
  end repeat
  return(lURL)
end

on SearchReplaceString (theSource, theSearchText, theReplaceText)
  -- This function comes from Director's help
  lDestination = ""
  lSearchLenght = theSearchText.length - 1
  
  repeat while theSource contains theSearchText
    lFoundPosition = offset(theSearchText, theSource)
    lDestination = lDestination & theSource.char[1..lFoundPosition]
    delete the last char of lDestination
    lDestination = lDestination & theReplaceText
    delete theSource.char[1.. (lFoundPosition + lSearchLenght)]
  end repeat
  
  lDestination = lDestination & theSource
  return lDestination
end

on GetMarkerList ()
  lTempList = _movie.markerList
  lCount = lTempList.count
  lMarkerList = []
  repeat with i = 1 to lCount
    lMarkerList.add(lTempList.getAt(i))
  end repeat
  return(lMarkerList)
end

on GetCommandDelimiter ()
  lDelimiter = numToChar(13) & numToChar(10) & numToChar(13) & numToChar(10)
  return(lDelimiter)
end

on GetCommandCR ()
  lCR = numToChar(13) & numToChar(10)
  return(lCR)
end

on GetDirectorCR ()
  lCR = numToChar(13)
  return(lCR)
end

on SpriteExists (theSpriteName)
  if (sprite(theSpriteName) <> void) then
    return(true)
  else
    GenLog(#debug, "SpriteExists: Trying to access inexistent sprite" && theSpriteName)
    return(false)
  end if
end

on PrepareLabel (theLabel)
  -- Prepare the label
  theLabel.member.boxType = #fixed
  theLabel.member.alignment = #center
  theLabel.member.wordWrap = false
  theLabel.ink = 36
end

on CenterLabel (theButton, theLabel)
  -- Force the height of the label
  theLabel.member.height = 20
  theLabel.height = 20
  
  -- Center the label over the button
  lCenterButtonV = (theButton.rect.bottom - theButton.rect.top) / 2 + theButton.rect.top
  lCenterLabelV = (theLabel.rect.bottom - theLabel.rect.top) / 2
  
  lLeft = theButton.rect.left
  lRight = theButton.rect.right
  lTop = lCenterButtonV - lCenterLabelV
  lBottom = theButton.rect.bottom
  
  theLabel.rect = rect(lLeft, lTop, lRight, lBottom)
end

on RegisterXtras ()
  Moz_Register("TEST")
  snxRegister("S1RU-UDD1-A2Q5-AEAI")
  baRegister("Opera Glass Networks", 3277199)
end

on ForgetAllTimeout ()
  lCount = _movie.timeoutList.count
  repeat with i = 1 to lCount
    _movie.timeoutList[1].forget()
  end repeat
end

on EmptySkin (me)
  repeat with i = 1 to 550
    if (castLib("skin").member[i].type = #bitmap) then
      castLib("skin").member[i].filename = the moviePath & "Skins\" &"empty.png"
    else if (castLib("skin").member[i].type = #text) then
      castLib("skin").member[i].text = ""
    end if
  end repeat
end